Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Modules/WalkingEngine/InvKinWalkingParameters.h File Reference

Definition of class InvKinWalkingParameters. More...

`#include "Tools/Evolution/Individual.h"`
`#include "Representations/Motion/JointData.h"`
`#include "GT2004ParameterSet.h"`
`#include <string.h>`

Include dependency graph for InvKinWalkingParameters.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | InvKinWalkingParameters
| Parameters for InvKinWalkingEngine. More...
class | InvKinWalkingParameters::CorrectionValues
| Factors to convert requested body speed to internal leg speed these values are read from odometry.cfg. More...
## Defines
#define | interpolateInvalid(v1, v2, factor1)
## Functions
In & | operator>> (In &stream, InvKinWalkingParameters &walkingParameters)
| Streaming operator that reads InvKinWalkingParameters from a stream.
Out & | operator<< (Out &stream, const InvKinWalkingParameters &walkingParameters)
| Streaming operator that writes InvKinWalkingParameters to a stream.

## Detailed Description

Definition of class InvKinWalkingParameters.

Author:
  Max Risler

Definition in file InvKinWalkingParameters.h.

## Define Documentation

#define interpolateInvalid | ( | v1,
|  | v2,
|  | factor1 |  | ) |

| Value:
    (((v1==jointDataInvalidValue)||(v2==jointDataInvalidValue))? \
      ((factor1<0.5)?v2:v1):(factor1*v1+(1-factor1)*v2));
Definition at line 389 of file InvKinWalkingParameters.h.

## Function Documentation

In& operator>> | ( | In & | stream,
|  | InvKinWalkingParameters & | walkingParameters
| ) |

  | Streaming operator that reads InvKinWalkingParameters from a stream. Parameters:
  stream | The stream from which is read.
  walkingParameters | The InvKinWalkingParameters object.
Returns: The stream. Definition at line 226 of file InvKinWalkingParameters.cpp. References InvKinWalkingParameters::bodyShiftOffset, InvKinWalkingParameters::bodyShiftX, InvKinWalkingParameters::bodyShiftY, InvKinWalkingParameters::counterRotation, InvKinWalkingParameters::footMode, InvKinWalkingParameters::foreCenterX, InvKinWalkingParameters::foreFootLift, InvKinWalkingParameters::foreFootTilt, InvKinWalkingParameters::foreHeight, InvKinWalkingParameters::foreWidth, InvKinWalkingParameters::groundPhase, InvKinWalkingParameters::hindCenterX, InvKinWalkingParameters::hindFootLift, InvKinWalkingParameters::hindFootTilt, InvKinWalkingParameters::hindHeight, InvKinWalkingParameters::hindWidth, InvKinWalkingParameters::legPhase, InvKinWalkingParameters::legSpeedFactorR, InvKinWalkingParameters::legSpeedFactorX, InvKinWalkingParameters::legSpeedFactorY, InvKinWalkingParameters::liftPhase, InvKinWalkingParameters::loweringPhase, InvKinWalkingParameters::maxRotationChange, InvKinWalkingParameters::maxSpeedXChange, InvKinWalkingParameters::maxSpeedYChange, InvKinWalkingParameters::maxStepSizeX, InvKinWalkingParameters::maxStepSizeY, InvKinWalkingParameters::name, and InvKinWalkingParameters::stepLen.

Out& operator<< | ( | Out & | stream,
|  | const InvKinWalkingParameters & | walkingParameters
| ) |

  | Streaming operator that writes InvKinWalkingParameters to a stream. Parameters:
  stream | The stream to write on.
  walkingParameters | The InvKinWalkingParameters object.
Returns: The stream. Definition at line 269 of file InvKinWalkingParameters.cpp. References InvKinWalkingParameters::bodyShiftOffset, InvKinWalkingParameters::bodyShiftX, InvKinWalkingParameters::bodyShiftY, InvKinWalkingParameters::counterRotation, InvKinWalkingParameters::footMode, InvKinWalkingParameters::foreCenterX, InvKinWalkingParameters::foreFootLift, InvKinWalkingParameters::foreFootTilt, InvKinWalkingParameters::foreHeight, InvKinWalkingParameters::foreWidth, InvKinWalkingParameters::groundPhase, InvKinWalkingParameters::hindCenterX, InvKinWalkingParameters::hindFootLift, InvKinWalkingParameters::hindFootTilt, InvKinWalkingParameters::hindHeight, InvKinWalkingParameters::hindWidth, InvKinWalkingParameters::legPhase, InvKinWalkingParameters::legSpeedFactorR, InvKinWalkingParameters::legSpeedFactorX, InvKinWalkingParameters::legSpeedFactorY, InvKinWalkingParameters::liftPhase, InvKinWalkingParameters::loweringPhase, InvKinWalkingParameters::maxRotationChange, InvKinWalkingParameters::maxSpeedXChange, InvKinWalkingParameters::maxSpeedYChange, InvKinWalkingParameters::maxStepSizeX, InvKinWalkingParameters::maxStepSizeY, InvKinWalkingParameters::name, and InvKinWalkingParameters::stepLen.